Name:           tumbler
Version:        0.2.8
Release:        3
Summary:        D-Bus service for applications to request thumbnails
#Group:          Development/Libraries
License:        GPLv2+ and LGPLv2+
URL:            http://git.xfce.org/xfce/tumbler/
Source0:        https://archive.xfce.org/src/xfce/tumbler/0.2/%{name}-%{version}.tar.bz2
Patch1:         0001-multithread-using-the-number-of-processors-on-the-sy.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc
BuildRequires:  freetype-devel
BuildRequires:  gettext
BuildRequires:  gtk2-devel >= 2.10.0
BuildRequires:  intltool
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  poppler-glib-devel
# extra thumbnailers
BuildRequires:  gstreamer1-plugins-base-devel

%description
Tumbler is a D-Bus service for applications to request thumbnails for various
URI schemes and MIME types. It is an implementation of the thumbnail
management D-Bus specification described on
http://live.gnome.org/ThumbnailerSpec written in an object-oriented fashion

Additional thumbnailers can be found in the tumbler-extras package


%package extras
Summary:       Additional thumbnailers for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description extras
This package contains additional thumbnailers for file types, which are not used
very much and require additional libraries to be installed.


%package devel
Summary:       Development files for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains libraries and header files for developing applications 
that use %{name}.


%prep
%setup -q
%patch1 -p1

%build
%configure --disable-static

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

# Remove rpaths.
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

# fix permissions for installed libs
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/*.so

find %{buildroot} -type f -name "*.la" -delete

%find_lang %{name}

%ldconfig_scriptlets

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%config(noreplace) %{_sysconfdir}/xdg/tumbler/
%{_datadir}/dbus-1/services/org.xfce.Tumbler.*.service
%{_libdir}/libtumbler-*.so.*
%{_libdir}/tumbler-*/
%exclude %{_libdir}/tumbler-*/plugins/tumbler-gst-thumbnailer.so


%files extras
%{_libdir}/tumbler-*/plugins/tumbler-gst-thumbnailer.so


%files devel
%{_libdir}/libtumbler-*.so
%{_libdir}/pkgconfig/%{name}-1.pc

%doc %{_datadir}/gtk-doc/

%dir %{_includedir}/%{name}-1
%{_includedir}/%{name}-1/tumbler


%changelog
* Thu Jul 9 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 0.2.8-1
- Init package
